Bug 239631 - hdf-devel uninstallable due to lack of netcdf-devel availability
hdf-devel uninstallable due to lack of netcdf-devel availability
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: hdf (Show other bugs)
el5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-09 22:01 EDT by Hezekiah M. Carty
Modified: 2007-05-15 17:25 EDT (History)
1 user (show)

See Also:
Fixed In Version: 4.2r1-13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-15 17:25:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hezekiah M. Carty 2007-05-09 22:01:19 EDT
Description of problem:
The hdf-devel package (the HDF4 library) is uninstallable due to requiring
netcdf-devel, but this package is not available in the main repository or EPEL.

Version-Release number of selected component (if applicable):
4.2r1-12.el5

How reproducible:
Every time

Steps to Reproduce:
1. Try to install hdf-devel (yum install hdf-devel)

Actual results:
It doesn't work (netcdf-devel missing)

Expected results:
netcdf-devel should be available in EPEL.

I'd be happy to provide whatever assistance is needed.
Comment 1 Patrice Dumas 2007-05-10 02:56:27 EDT
In my opinion hdf-devel should not require netcdf-devel, there is
no reason for that.

Otherwise it is clear that netcdf needs to be in EPEL, for it
is useful and upstream takes care of binary compatibility
Comment 2 Hezekiah M. Carty 2007-05-10 09:35:17 EDT
There is a bug about this  (#189337) and I'm not sure of the reasoning behind
adding this requirement.  As far as I know this requirement isn't in place
upstream or in Debian which is what I was using previously.
Comment 3 Patrice Dumas 2007-05-15 17:25:28 EDT
Orion fixed that issue by removing the BR.

Note You need to log in before you can comment on or make changes to this bug.